For the complete documentation index, see llms.txt. This page is also available as Markdown.

Pay with MoMo

Allow users to make payments using MTN Ghana Momo, AirtelTigo and Vodafone (Telecel)

The request process is asynchronous, meaning you receive an initial response indicating that the request is being processed. Once the payer completes the transaction, a callback response is sent to your configured callback URL.

Endpoint

POST https://api.xtrakit.com/api/v1/momo/pay

Headers

Authorization: Bearer API_KEY

Request Body

Parameters
Type
Description

transaction_id

string

Required

Merchants' transaction ID to uniquely identify the transaction

business_code

string

Required

Business code retrieved from the merchant dashboard

currency

status

Required

Currency you are receiving payment

payment_details

status

Required

Payment details unique to this collection channel

payment_details.momo_number

status

Required

Momo number to receive payment from. This is a field within payment_details.

payment_details.otp

status

Required

One Time Password sent to payer's phone number to authorize the transaction. This is a field within payment_details.

payment_details.customer_email

status

Required

Refers to the payer's email address e.g [email protected]

payment_details.customer_firstname

status

Required

Payer's First Name

payment_details.customer_lastname

status

Required

Payer's Last Name

payment_method_id

status

Required

The ID of the payment channel retrieved from get payment methods endpoint. eg. 8rf8788997

amount

float|numeric-string

Required

Amount to be received from the payer

Sample Requests

Sample Response

Last updated